# Transaction

Transaction PDAs reference accounts where the transaction data is stored. Transaction accounts contain various low level information like the number of approvals, rejections, the transaction authority, etc.

Transaction PDAs are derived from the multisig PDA and the transaction index. The transaction index is an easy way to derive a list of transactions related to the multisig. When a new transaction account is created, the multisig will bump up the transaction index by one. The current transaction index can be found in the multisig account. A newly created multisig will have a starting transaction index of 0.

To find a transaction PDA using the Anchor Web3 library:

```
await anchor.web3.PublicKey.findProgramAddress([
    anchor.utils.bytes.utf8.encode("squad"),
    multisig.toBuffer(),
    transactionIndex.toBuffer("le", 4),
    anchor.utils.bytes.utf8.encode("transaction")
], programId);
```

Note that in the example, `transactionIndex` is supplied as a BN. You are free to supply the transaction index anyway you prefer, as long as the value provided to `findProgramAddress` is a little endian 4 byte buffer.

The format for deriving transaction PDAs is as follows:

```
["squad", multisig, transactionIndex, "transaction"]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.squads.so/main/squads-legacy/development/pdas/transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
